Bug 1689634 - Review Request: mako - Lightweight Wayland notification daemon
Summary: Review Request: mako - Lightweight Wayland notification daemon
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Staněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-17 07:26 UTC by Timothée Floure
Modified: 2019-04-03 14:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-03 14:35:37 UTC
Type: ---
jstanek: fedora-review+


Attachments (Terms of Use)

Description Timothée Floure 2019-03-17 07:26:48 UTC
Spec URL: https://paste.sr.ht/blob/260c51a1e060b20d914b6f5dd228c6b055fe94af
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/80/33560080/mako-1.2-1.fc31.src.rpm
Description: mako is a lightweight notification daemon for Wayland compositors that support the layer-shell protocol.
Fedora Account System Username: fnux

Comment 1 Jan Staněk 2019-03-18 09:13:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

Issues:
=======
-   BuildRequires should follow meson constraints (since meson refuses to run if they are violated):
    -   meson >= 0.47.0
    -   pkgconfig(wayland-protocols) >= 1.14
-   The package is built without icon support (according to the meson.build).
    If this is not intentional, these BR are missing:
    -   pkgconfig(gdk-3.0)
    -   pkgconfig(gdk-pixbuf-2.0)
-   Package does not contain systemd unit file for DBus activation.
    Upstream do not ship it, so I'm willing to let this one through for the initial review;
    however, it should be added and ideally submitted to upstream as well.
    Example (adapted from dunst): https://gist.github.com/d8e347c73e3355f3bfd9fcb83afc26ea
-   Missing newline at the end of the SPEC file, confuses diff check (see below).


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[!]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mako-
     debuginfo , mako-debugsource
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
[x]: Rpmlint is run on all installed packages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: mako-1.2-1.fc30.x86_64.rpm
          mako-debuginfo-1.2-1.fc30.x86_64.rpm
          mako-debugsource-1.2-1.fc30.x86_64.rpm
          mako-1.2-1.fc30.src.rpm
4 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mako-debuginfo-1.2-1.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
# False positives, URL is valid
mako.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
mako-debuginfo.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
mako-debugsource.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/jstanek/redhat/fedora-review/mako.spec	2019-03-18 09:26:04.657725784 +0100
+++ /home/jstanek/redhat/fedora-review/review-mako/srpm-unpacked/mako.spec	2019-03-17 08:18:09.000000000 +0100
@@ -41,3 +41,3 @@
 %changelog
 * Sun Mar 17 2019 Timothée Floure <fnux@fedoraproject.org> - 1.2-1
-- Let there be package
\ No newline at end of file
+- Let there be package


Requires
--------
mako (rpmlib, GLIBC filtered):
    /usr/bin/sh
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    librt.so.1()(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_221)(64bit)
    libsystemd.so.0(LIBSYSTEMD_222)(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)

mako-debuginfo (rpmlib, GLIBC filtered):

mako-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mako:
    mako
    mako(x86-64)

mako-debuginfo:
    debuginfo(build-id)
    mako-debuginfo
    mako-debuginfo(x86-64)

mako-debugsource:
    mako-debugsource
    mako-debugsource(x86-64)



Source checksums
----------------
https://github.com/emersion/mako/archive/v1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 56f083e355295cf11831f4c3f54a95b04df1a352232ab24b0cd30c3255949e0f
  CHECKSUM(SHA256) upstream package : 56f083e355295cf11831f4c3f54a95b04df1a352232ab24b0cd30c3255949e0f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review --name=mako
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Timothée Floure 2019-03-28 08:28:51 UTC
Thanks for the review and sorry for the delay. I should be able to fix the package by the end of the weekend.

Comment 3 Timothée Floure 2019-03-30 13:21:43 UTC
> -   BuildRequires should follow meson constraints (since meson refuses to
> run if they are violated):
>     -   meson >= 0.47.0
>     -   pkgconfig(wayland-protocols) >= 1.14
> -   The package is built without icon support (according to the meson.build).
>     If this is not intentional, these BR are missing:
>     -   pkgconfig(gdk-3.0)
>     -   pkgconfig(gdk-pixbuf-2.0)

I suspect you checked the upstream's master branch [0] instead of the v1.2 tag [1]? Otherwise I don't undestand the above points since version 1.2 does not depend on gdk and only requires meson >= 0.43.0.

> -   Package does not contain systemd unit file for DBus activation.
>     Upstream do not ship it, so I'm willing to let this one through for the
> initial review;
>     however, it should be added and ideally submitted to upstream as well.
>     Example (adapted from dunst):
> https://gist.github.com/d8e347c73e3355f3bfd9fcb83afc26ea

I will try to fix this upstream.

I also have an issue with new default compiler flag generating build errors [2]... I'll have to read some documentation!

[0] https://github.com/emersion/mako/blob/87170d5a3499225906a594f47557ea30e34662dd/meson.build
[1] https://github.com/emersion/mako/blob/v1.2/meson.build
[2] https://paste.sr.ht/~fnux/7735a71ec2526840b98a9785ca53e9b95b86f93b

Comment 4 Jan Staněk 2019-04-01 11:06:16 UTC
(In reply to Timothée Floure from comment #3)
> I suspect you checked the upstream's master branch [0] instead of the v1.2
> tag [1]? Otherwise I don't undestand the above points since version 1.2 does
> not depend on gdk and only requires meson >= 0.43.0.

You are correct; sorry about that :) Just add the appropriate/relevant constraints then, please.

> I will try to fix this upstream.

Good. In case they will be unresponsive, just add it downstream and replace it with the upstream version once they add one.

> I also have an issue with new default compiler flag generating build errors
> [2]... I'll have to read some documentation!

The upstream sets default build options (in meson.build) to `warning_level=2` and `werror=true`, so any warning generated is treated as error and aborts build. The `%set_build_flags` sets (among others) the `-Wall` flag, which I'm guessing is the equivalent of meson's `warning_level=3`. My bet is that our (Fedora) build flags sets off more compiler warnings, which the meson is configured (by upstream) to treats as errors.

The proper way to fix that is to write/backport patches to the *source code* that fix those warnings. Since that can take a while, patching the meson.build to not contain `werror=true` is also an acceptable solution (although be sure to add explanation in comment if you do that).

Comment 5 Timothée Floure 2019-04-02 07:25:22 UTC
Spec URL: https://paste.sr.ht/blob/0c571b91aa27cbd527770853d13a38638c6423d1
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/473/33880473/mako-1.2-1.fc31.src.rpm

I will open issues upstream once the package lands in rawhide/I get some free time.

Comment 6 Jan Staněk 2019-04-02 08:57:55 UTC
Few more adjustments are necessary, unfortunately:

1. wayland-protocols dependency is constrained even in the 1.2 release [1]
   - BuildRequires: pkgconfig(wayland-protocols) >= 1.14

2. The systemd unit files complicate things a bit. Details in [2] and [3], but in short:
   - Add `BuildRequires: systemd-rpm-macros` to make the following lines work
   - Add `%{?systemd_requires}` line which expands to Requires necessary for systemd unit files; this should also fix ownership issues for directories that the unit files are installed into.
   - Add %preun and %post scriptlets with `%systemd_user_preun %{name}.service` and `%systemd_user_post %{name}.service`, respectivelly. These define (for example) what to do when the service is running and the package is updated/uninstalled.

3. The downstream service/unit files should probably be added as additional Source(s), not as a patch to the original source. That way it is more obvious that the files originate from our (Fedora) side and they are not backports from upstream. Again, once upstream accepts the files for their own and releases an update that contains them, the downstream versions should be dropped.

Let me know if I can help you with anything else, as I realise that repeated requested adjustment to your work can be frustrating. Keep up the good work!

[1]: https://github.com/emersion/mako/blob/v1.2/meson.build#L26
[2]: https://docs.fedoraproject.org/en-US/packaging-guidelines/Systemd/#_packaging
[3]: https://docs.fedoraproject.org/en-US/packaging-guidelines/Scriptlets/#_user_units

Comment 7 Timothée Floure 2019-04-02 11:07:32 UTC
Spec URL: https://paste.sr.ht/blob/4ac99254f98b254cd510f44d3cc793152dac1a25
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/3934/33883934/mako-1.2-1.fc31.src.rpm

1. Fixed.
2. Fixed, missed this part of the systemd-related guidelines.
3. Hum, an extra source file implies to build an archive (is there another way?). The patch feels more convenient and seems right to me since I plan to upstream it anyway.

> Let me know if I can help you with anything else, as I realise that repeated requested adjustment to your work can be frustrating. Keep up the good work!

I can't complain about such a comprehensive review ;-)

Comment 8 Till Hofmann 2019-04-02 11:13:46 UTC
(In reply to Timothée Floure from comment #7)
> 3. Hum, an extra source file implies to build an archive (is there another
> way?). The patch feels more convenient and seems right to me since I plan to
> upstream it anyway.
> 

No need, you can also add a local file as source, e.g.:
Source0: systemd.unit

Comment 9 Jan Staněk 2019-04-02 11:23:55 UTC
> No need, you can also add a local file as source, e.g.:
> Source0: systemd.unit

You can then also use the `%{SOURCE1}`, `%{SOURCE2}`... macros to refer to their location within the build directory – for example:

> Source1: %{name}.service
> Source2: fr.emersion.Mako.service
...
> install -m0644 -Dt %{buildroot}%{_userunitdir} %{SOURCE1}
> install -m0644 -Dt %{buildroot}%{_datadir}/dbus-1/services %{SOURCE2}

Comment 10 Timothée Floure 2019-04-02 11:57:51 UTC
Spec URL: https://paste.sr.ht/blob/471e3097508c17ac55b83fc40f1cf0179d05ee6b
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/4969/33884969/mako-1.2-1.fc31.src.rpm

I wasn't aware of those macros (and did not find them rpm.org!) and could not find a way to work with non-archived sources with %setup or %autosetup.

Comment 11 Jan Staněk 2019-04-02 13:25:03 UTC
(In reply to Timothée Floure from comment #10)
> I wasn't aware of those macros (and did not find them rpm.org!) and could
> not find a way to work with non-archived sources with %setup or %autosetup.

Yeah, the RPM documentation is sparse and kind of all over the place…

In other news:
- The `%{?systemd_requires}` fixed directory ownership for the systemd unit (mako.service), but unfortunately not for dbus unit (fr.emersion.Mako.service). Looking at dunst, it may be fixed by adding `Requires: dbus`. In order for the service to actually pick up the notifications, the dbus is required, so I think it makes sense to add it.
- Also from reading dunst spec file, it `Provides: desktop-notification-daemon`. I was not able to find anything specific to that provide, but according to `dnf provides desktop-notification-daemon` all the other notification daemons do provide it – so I guess mako should as well.

All other issues seems to have been fixed, so hopefully this is the last iteration ;)

Comment 13 Jan Staněk 2019-04-02 15:10:04 UTC
Looks good to me, good work!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License", "NTP License (legal
     disclaimer)". 31 files have unknown license. Detailed output of
     licensecheck in /home/jstanek/redhat/fedora-review/review-
     mako/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/dbus-1/services,
     /usr/share/dbus-1
     Reviever note: False positive. These directories are owned by dbus-common,
     which is in the dependency chain of this package (via the dbus dependency)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in mako
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     Reviewer note: Whitespace-only difference.
     See: (this test has no URL)
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: mako-1.2-1.fc31.x86_64.rpm
          mako-debuginfo-1.2-1.fc31.x86_64.rpm
          mako-debugsource-1.2-1.fc31.x86_64.rpm
          mako-1.2-1.fc31.src.rpm
# Unversioned virtual provide is expected
mako.src:5: W: unversioned-explicit-provides desktop-notification-daemon
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (debuginfo)
-------------------
Checking: mako-debuginfo-1.2-1.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
=> False positive, the URLs are valid
mako-debuginfo.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
mako.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
mako-debugsource.x86_64: W: invalid-url URL: https://github.com/emersion/mako <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/emersion/mako/archive/v1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 56f083e355295cf11831f4c3f54a95b04df1a352232ab24b0cd30c3255949e0f
  CHECKSUM(SHA256) upstream package : 56f083e355295cf11831f4c3f54a95b04df1a352232ab24b0cd30c3255949e0f


Requires
--------
mako (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/sh
    dbus
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    librt.so.1()(64bit)
    libsystemd.so.0()(64bit)
    libsystemd.so.0(LIBSYSTEMD_221)(64bit)
    libsystemd.so.0(LIBSYSTEMD_222)(64bit)
    libwayland-client.so.0()(64bit)
    rtld(GNU_HASH)
    systemd

mako-debuginfo (rpmlib, GLIBC filtered):

mako-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mako:
    desktop-notification-daemon
    mako
    mako(x86-64)

mako-debuginfo:
    debuginfo(build-id)
    mako-debuginfo
    mako-debuginfo(x86-64)

mako-debugsource:
    mako-debugsource
    mako-debugsource(x86-64)



Diff spec file in url and in SRPM
---------------------------------
--- /home/jstanek/redhat/fedora-review/mako.spec	2019-04-02 16:49:24.871635613 +0200
+++ /home/jstanek/redhat/fedora-review/review-mako/srpm-unpacked/mako.spec	2019-04-02 15:56:55.000000000 +0200
@@ -66,2 +66,3 @@
 * Sun Mar 17 2019 Timothée Floure <fnux@fedoraproject.org> - 1.2-1
 - Let there be package
+


Generated by fedora-review 0.7.1 (9643194) last change: 2019-03-21
Command line :/usr/bin/fedora-review -n mako
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: SugarActivity, Ocaml, Ruby, R, fonts, Python, Perl, PHP, Haskell, Java
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 14 Gwyn Ciesla 2019-04-03 13:36:14 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mako


Note You need to log in before you can comment on or make changes to this bug.